# We still provide the classic library, for now
%global classic_version   1.0.2

Name:        php-markdown
Version:     1.7.0
Release:     1%{?dist}
Summary:     Markdown implementation in PHP

Group:       Development/Languages
License:     BSD
URL:         https://michelf.ca/projects/php-markdown/
Source0:     http://littoral.michelf.ca/code/php-markdown/%{name}-lib-%{version}.zip
Source1:     http://littoral.michelf.ca/code/php-markdown/%{name}-%{classic_version}.zip

BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:   noarch
BuildRequires: php-fedora-autoloader-devel
# For tests
BuildRequires: php-cli

Requires:    php(language) >= 5.3
Requires:    php-pcre
Requires:    php-composer(fedora/autoloader)

Provides:    php-composer(michelf/php-markdown) = %{version}


%description
This is a PHP implementation of John Gruber's Markdown.
It is almost completely compliant with the reference implementation.

This packages provides the classic version %{classic_version} and the new
library version %{version}.

Autoloader: %{_datadir}/php/Michelf/markdown-autoload.php


%prep
%setup -q -n 'PHP Markdown Lib %{version}' -a 1

# documentation and licenses
mkdir -p library lic/library
mv Readme.* composer.json library
mv License.* lic/library

mkdir -p classic lic/classic
cd "PHP Markdown %{classic_version}"
mv License.text ../lic/classic
mv "PHP Markdown Readme.text" ../classic/Readme.text


%build
# Generate simple autoloader
%{_bindir}/phpab \
    --template fedora \
    --output Michelf/markdown-autoload.php \
    Michelf
cat Michelf/markdown-autoload.php


%install
rm -rf %{buildroot}
install -d %{buildroot}%{_datadir}/php/

# PSR-0 library
cp -pr Michelf %{buildroot}%{_datadir}/php/Michelf

# Old classic
install -p -m 644 "PHP Markdown %{classic_version}/markdown.php" %{buildroot}%{_datadir}/php/


%check
php -r '
require_once "%{buildroot}%{_datadir}/php/Michelf/markdown-autoload.php";
  $ver = Michelf\Markdown::MARKDOWNLIB_VERSION;
  echo "Version=$ver, expected=%{version}\n";
  return (version_compare($ver, "%{version}", "=") ? 0 : 1);
'


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license lic/*
%doc library classic
# Classic version
%{_datadir}/php/markdown.php
# Library version
%{_datadir}/php/Michelf


%changelog
* Sun Oct 30 2016 Remi Collet <remi@fedoraproject.org> - 1.7.0-1
- Mardown PSR-0 library version 1.7.0
- switch to fedora/autoloader
- add minimal %%check for version and autoloader

* Sat Dec 26 2015 Remi Collet <remi@fedoraproject.org> - 1.6.0-1
- Mardown PSR-0 library version 1.6.0
- add simple autoloader

* Mon Mar  2 2015 Remi Collet <remi@fedoraproject.org> - 1.5.0-1
- Mardown PSR-0 library version 1.5.0
- fix license handling
- add provides php-composer(michelf/php-markdown)
- fix project URL

* Tue May  6 2014 Remi Collet <remi@fedoraproject.org> - 1.4.1-1
- Mardown PSR-0 library version 1.4.1

* Mon Dec 02 2013 Remi Collet <remi@fedoraproject.org> - 1.4.0-1
- Mardown PSR-0 library version 1.4.0 (sources 1.2.8)
- Mardown classic library version 1.0.2

* Sat Jun 15 2013 Remi Collet <remi@fedoraproject.org> - 1.2.7-1
- Mardown PSR-0 library version 1.2.7 (added)
- Mardown classic library version 1.0.1q (updated)

* Tue Jan 29 2013 Remi Collet <remi@fedoraproject.org> - 1.0.1p-1
- Updated to 1.0.1p
- don't requires php

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1n-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1n-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1n-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 03 2010 Rakesh Pandit <rakesh@fedoraproject.irg> 1.0.1n-1
- Updated to 1.0.1n

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1m-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 24 2009 Rakesh Pandit <rakesh@fedoraproject.irg> 1.0.1m-2
- Fixed mixed use of space and tabs, using install in place of cp

* Sun May 24 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.1m-1
- Initial package
